Subject: Re: DVMRP routing loop

From: Bill Fenner <[email-masked]>
Date: Tue, 7 Jan 1997 09:01:38 PST

Well, you say you're seeing duplicate packets.  Run an mtrace to the source
and group of those duplicates, and watch for negative losses.  For example,
I'm currently seeing duplicate packets from ganymede.cdt.luth.se to 224.2.0.1.
I say "mtrace -l ganymede.cdt.luth.se 224.2.0.1" and see the following:

Waiting to accumulate statistics... * * Results after 51 seconds:

  Source        Response Dest    Overall     Packet Statistics For Traffic From
130.240.34.6    224.0.1.32       Packet      130.240.34.6 To 224.2.0.1
     |       __/  rtt 1260 ms     Rate       Lost/Sent = Pct  Rate
     v      /     hop    0 ms    -------     ---------------------
...
193.10.82.5     umu34-gw.sunet.se 
     |     ^      ttl   19        48 pps        0/4    = --%   0 pps
     v     |      hop    0 ms     49 pps        0/10   = --%   0 pps
193.10.82.6    
193.10.80.33    upper-gw.sunet.se 
     |     ^      ttl   19        48 pps      -44/4    = --%   0 pps
     v     |      hop    0 ms     49 pps     -132/10   = --%   0 pps
193.10.80.34   
192.36.148.197  lower-gw.sunet.se 
     |     ^      ttl   37         8 pps        0/48   =  0%   2 pps
     v     |      hop    0 ms      8 pps        0/142  =  0%   2 pps
192.36.148.206  stockholm.mbone.ebone.net 

The negative losses between upper-gw and lower-gw indicate that the
packet replication is occurring there.

  Bill